STOFFFrameStyle Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
STOFFFrameStyle Class Reference

Class to store a frame style. More...

`#include <STOFFFrameStyle.hxx>`

## Public Member Functions
| STOFFFrameStyle ()
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList
STOFFPosition | getPosition () const
| return a position corresponding to the current style
bool | operator== (STOFFFrameStyle const &frameStyle) const
| operator==
bool | operator!= (STOFFFrameStyle const &frameStyle) const
| operator!=

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list
STOFFPosition | m_position
| the position
int | m_anchorIndex
| the anchor index: used to relate to find the character related to at_char

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFFrameStyle const &frameStyle)
| operator<<

## Detailed Description

Class to store a frame style.

## Constructor & Destructor Documentation

## ◆ STOFFFrameStyle()

STOFFFrameStyle::STOFFFrameStyle | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## ◆ addStyleTo()

void STOFFFrameStyle::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by addTo(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ addTo()

void STOFFFrameStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFGraphicListener::_handleFrameParameters(), STOFFSpreadsheetListener::_handleFrameParameters(), STOFFTextListener::_handleFrameParameters(), StarItemPool::defineGraphicStyle(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFTextListener::insertShape(), STOFFGraphicListener::openGroup(), STOFFTextListener::openGroup(), StarObjectTextInternal::Content::send(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), StarTableInternal::Table::send(), and StarTableInternal::TableBox::updatePosition().

## ◆ getPosition()

STOFFPosition STOFFFrameStyle::getPosition | ( |  | ) | const

return a position corresponding to the current style

Referenced by addTo().

## ◆ operator!=()

bool STOFFFrameStyle::operator!= | ( | STOFFFrameStyle const & | frameStyle | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFFrameStyle::operator== | ( | STOFFFrameStyle const & | frameStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFFrameStyle const & | frameStyle )
| friend

operator<<

## Member Data Documentation

## ◆ m_anchorIndex

int STOFFFrameStyle::m_anchorIndex

the anchor index: used to relate to find the character related to at_char

Referenced by StarFrameAttribute::StarFAttributeAnchor::addTo(), operator==(), StarObjectTextInternal::TextZone::send(), and STOFFFrameStyle().

## ◆ m_position

STOFFPosition STOFFFrameStyle::m_position

the position

Referenced by StarFrameAttribute::StarFAttributeAnchor::addTo(), StarFrameAttribute::StarFAttributeFrameSize::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), getPosition(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFTextListener::insertShape(), STOFFGraphicListener::openFooter(), STOFFTextListener::openGroup(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), operator==(), SDGParser::parse(), StarObjectSmallGraphicInternal::SdrGraphicGroup::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarTableInternal::Table::send(), StarObjectModel::sendPage(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), STOFFFrameStyle(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFFrameStyle::m_propertyList

the property list

Referenced by addStyleTo(), StarFrameAttribute::StarFAttributeAnchor::addTo(), StarFrameAttribute::StarFAttributeBool::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), StarFrameAttribute::StarFAttributeSurround::addTo(), operator<<, operator==(), and STOFFFrameStyle().

The documentation for this class was generated from the following files:

- STOFFFrameStyle.hxx
- STOFFFrameStyle.cxx